# Marketplace Apps

## List Marketplace Apps

> Retrieves a paginated list of marketplace app versions.\
> Note: A marketplace app is a version of a blueprint.

```json
{"openapi":"3.0.0","info":{"title":"Patchworks Core API","version":"1.0.0"},"tags":[{"name":"Marketplace Apps"}],"servers":[{"url":"https://core.wearepatchworks.com"}],"security":[{"ApiKeyAuth":[]},{"BearerAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"API key passed in the Authorization header. Format: `<api-key>`"},"BearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"OAuth 2 Bearer token obtained from POST /fabric/api/login"}},"schemas":{"MarketplaceAppsListResponse":{"type":"object","properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/MarketplaceApps"}},"meta":{"$ref":"#/components/schemas/PaginationMeta"},"links":{"$ref":"#/components/schemas/PaginationLinks"}}},"MarketplaceApps":{"type":"object","properties":{"id":{"type":"integer","description":"Unique identifier"},"help_guide":{"type":"string"},"flow_version_ids":{"type":"string"},"cross_reference_lookup_ids":{"type":"string"},"system_ids":{"type":"string"},"script_version_ids":{"type":"string"},"cache_ids":{"type":"string"},"data_pool_ids":{"type":"string"},"private":{"type":"string"},"created_at":{"type":"string","format":"date-time"},"updated_at":{"type":"string","format":"date-time"},"blueprint_id":{"type":"integer"},"name":{"type":"string"},"version":{"type":"integer"},"version_name":{"type":"string"},"installed_count":{"type":"integer"},"company_id":{"type":"integer"},"flow_count":{"type":"integer"},"system_count":{"type":"integer"},"script_count":{"type":"integer"},"data_pool_count":{"type":"array","items":{"type":"object"}},"cache_count":{"type":"array","items":{"type":"object"}},"cross_ref_count":{"type":"array","items":{"type":"object"}},"flow_templates":{"type":"array","items":{"type":"object"}},"cross_reference_lookup_templates":{"type":"array","items":{"type":"object"}},"system_templates":{"type":"array","items":{"type":"object"}},"script_templates":{"type":"array","items":{"type":"object"}},"cache_templates":{"type":"array","items":{"type":"object"}},"data_pool_templates":{"type":"array","items":{"type":"object"}},"company":{"type":"object"},"marketplace_company_id":{"type":"object"},"marketplace_company":{"type":"object"},"public_company_id":{"type":"object"},"public_company":{"type":"object"},"installs_avg_install_duration":{"type":"string"},"is_published":{"type":"boolean"}}},"PaginationMeta":{"type":"object","properties":{"current_page":{"type":"integer"},"from":{"type":"integer","nullable":true},"last_page":{"type":"integer"},"path":{"type":"string"},"per_page":{"type":"integer"},"to":{"type":"integer","nullable":true},"total":{"type":"integer"}}},"PaginationLinks":{"type":"object","properties":{"first":{"type":"string","format":"uri"},"last":{"type":"string","format":"uri"},"prev":{"type":"string","format":"uri","nullable":true},"next":{"type":"string","format":"uri","nullable":true}}}}},"paths":{"/api/v1/patchworks/marketplace-apps":{"get":{"summary":"List Marketplace Apps","description":"Retrieves a paginated list of marketplace app versions.\nNote: A marketplace app is a version of a blueprint.","parameters":[{"name":"filter[id]","in":"query","required":false,"schema":{"type":"string"},"description":"Filter results by id."},{"name":"filter[name]","in":"query","required":false,"schema":{"type":"string"},"description":"Filter results by name."},{"name":"filter[allowed]","in":"query","required":false,"schema":{"type":"string"},"description":"Filter results by allowed."},{"name":"filter[private]","in":"query","required":false,"schema":{"type":"string"},"description":"Filter results by private."},{"name":"filter[visibility]","in":"query","required":false,"schema":{"type":"string"},"description":"Filter results by visibility."},{"name":"filter[private_or_allowed]","in":"query","required":false,"schema":{"type":"string"},"description":"Filter results by private_or_allowed."},{"name":"filter[labelled]","in":"query","required":false,"schema":{"type":"string"},"description":"Filter results by label `id`."},{"name":"include","in":"query","required":false,"schema":{"type":"string"},"description":"Comma-separated list of relationships to include. Available: flowTemplates, crossReferenceLookupTemplates, crossReferenceLookupTemplates.crossReferenceLookupValueTemplates, systemTemplates, systemTemplates.logo, scriptTemplates, cacheTemplates, dataPoolTemplates, company, marketplaceCompany, publicCompany, installs"},{"name":"sort","in":"query","required":false,"schema":{"type":"string"},"description":"Sort field. Prefix with - for descending. Available: name, id, created_at, installs_avg_install_duration"},{"name":"page","in":"query","required":false,"schema":{"type":"integer","minimum":1,"default":1},"description":"Page number for pagination."},{"name":"per_page","in":"query","required":false,"schema":{"type":"integer","minimum":1,"maximum":100},"description":"Number of results per page."}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MarketplaceAppsListResponse"}}}},"401":{"description":"Unauthenticated"},"403":{"description":"Unauthorized"}},"tags":["Marketplace Apps"]}}}}
```

## Create Marketplace App

> Creates a new marketplace app version.\
> Note: A marketplace app is a version of a blueprint.

```json
{"openapi":"3.0.0","info":{"title":"Patchworks Core API","version":"1.0.0"},"tags":[{"name":"Marketplace Apps"}],"servers":[{"url":"https://core.wearepatchworks.com"}],"security":[{"ApiKeyAuth":[]},{"BearerAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"API key passed in the Authorization header. Format: `<api-key>`"},"BearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"OAuth 2 Bearer token obtained from POST /fabric/api/login"}},"schemas":{"MarketplaceAppsResponse":{"type":"object","properties":{"data":{"$ref":"#/components/schemas/MarketplaceApps"}}},"MarketplaceApps":{"type":"object","properties":{"id":{"type":"integer","description":"Unique identifier"},"help_guide":{"type":"string"},"flow_version_ids":{"type":"string"},"cross_reference_lookup_ids":{"type":"string"},"system_ids":{"type":"string"},"script_version_ids":{"type":"string"},"cache_ids":{"type":"string"},"data_pool_ids":{"type":"string"},"private":{"type":"string"},"created_at":{"type":"string","format":"date-time"},"updated_at":{"type":"string","format":"date-time"},"blueprint_id":{"type":"integer"},"name":{"type":"string"},"version":{"type":"integer"},"version_name":{"type":"string"},"installed_count":{"type":"integer"},"company_id":{"type":"integer"},"flow_count":{"type":"integer"},"system_count":{"type":"integer"},"script_count":{"type":"integer"},"data_pool_count":{"type":"array","items":{"type":"object"}},"cache_count":{"type":"array","items":{"type":"object"}},"cross_ref_count":{"type":"array","items":{"type":"object"}},"flow_templates":{"type":"array","items":{"type":"object"}},"cross_reference_lookup_templates":{"type":"array","items":{"type":"object"}},"system_templates":{"type":"array","items":{"type":"object"}},"script_templates":{"type":"array","items":{"type":"object"}},"cache_templates":{"type":"array","items":{"type":"object"}},"data_pool_templates":{"type":"array","items":{"type":"object"}},"company":{"type":"object"},"marketplace_company_id":{"type":"object"},"marketplace_company":{"type":"object"},"public_company_id":{"type":"object"},"public_company":{"type":"object"},"installs_avg_install_duration":{"type":"string"},"is_published":{"type":"boolean"}}},"ErrorResponse":{"type":"object","properties":{"message":{"type":"string"},"errors":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string"}}}}},"MarketplaceAppsStoreRequest":{"type":"object","properties":{"help_guide":{"type":"string","format":"uri","nullable":true},"flow_version_ids":{"type":"string","items":{"type":"integer"}},"cross_reference_lookup_ids":{"type":"string","items":{"type":"integer"}},"system_ids":{"type":"string","items":{"type":"integer"}},"script_version_ids":{"type":"string","items":{"type":"integer"}},"cache_ids":{"type":"string","items":{"type":"integer"}},"data_pool_ids":{"type":"string","items":{"type":"integer"}},"private":{"type":"string"},"name":{"type":"string","maxLength":100},"labels":{"type":"array","properties":{"*":{"type":"object","properties":{"id":{"type":"string"}}}}}},"required":["labels","name"]}}},"paths":{"/api/v1/marketplace-apps":{"post":{"summary":"Create Marketplace App","description":"Creates a new marketplace app version.\nNote: A marketplace app is a version of a blueprint.","responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MarketplaceAppsResponse"}}}},"401":{"description":"Unauthenticated"},"403":{"description":"Unauthorized"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}},"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MarketplaceAppsStoreRequest"}}}},"tags":["Marketplace Apps"],"parameters":[]}}}}
```

## Get Marketplace App

> Retrieves the details of a specific marketplace app version.\
> Note: A marketplace app is a version of a blueprint.

```json
{"openapi":"3.0.0","info":{"title":"Patchworks Core API","version":"1.0.0"},"tags":[{"name":"Marketplace Apps"}],"servers":[{"url":"https://core.wearepatchworks.com"}],"security":[{"ApiKeyAuth":[]},{"BearerAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"API key passed in the Authorization header. Format: `<api-key>`"},"BearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"OAuth 2 Bearer token obtained from POST /fabric/api/login"}},"schemas":{"MarketplaceAppsResponse":{"type":"object","properties":{"data":{"$ref":"#/components/schemas/MarketplaceApps"}}},"MarketplaceApps":{"type":"object","properties":{"id":{"type":"integer","description":"Unique identifier"},"help_guide":{"type":"string"},"flow_version_ids":{"type":"string"},"cross_reference_lookup_ids":{"type":"string"},"system_ids":{"type":"string"},"script_version_ids":{"type":"string"},"cache_ids":{"type":"string"},"data_pool_ids":{"type":"string"},"private":{"type":"string"},"created_at":{"type":"string","format":"date-time"},"updated_at":{"type":"string","format":"date-time"},"blueprint_id":{"type":"integer"},"name":{"type":"string"},"version":{"type":"integer"},"version_name":{"type":"string"},"installed_count":{"type":"integer"},"company_id":{"type":"integer"},"flow_count":{"type":"integer"},"system_count":{"type":"integer"},"script_count":{"type":"integer"},"data_pool_count":{"type":"array","items":{"type":"object"}},"cache_count":{"type":"array","items":{"type":"object"}},"cross_ref_count":{"type":"array","items":{"type":"object"}},"flow_templates":{"type":"array","items":{"type":"object"}},"cross_reference_lookup_templates":{"type":"array","items":{"type":"object"}},"system_templates":{"type":"array","items":{"type":"object"}},"script_templates":{"type":"array","items":{"type":"object"}},"cache_templates":{"type":"array","items":{"type":"object"}},"data_pool_templates":{"type":"array","items":{"type":"object"}},"company":{"type":"object"},"marketplace_company_id":{"type":"object"},"marketplace_company":{"type":"object"},"public_company_id":{"type":"object"},"public_company":{"type":"object"},"installs_avg_install_duration":{"type":"string"},"is_published":{"type":"boolean"}}}}},"paths":{"/api/v1/patchworks/marketplace-apps/{marketplace_app}":{"get":{"summary":"Get Marketplace App","description":"Retrieves the details of a specific marketplace app version.\nNote: A marketplace app is a version of a blueprint.","parameters":[{"name":"marketplace_app","in":"path","required":true,"schema":{"type":"string"},"description":"The marketplace app identifier."},{"name":"filter[id]","in":"query","required":false,"schema":{"type":"string"},"description":"Filter results by id."},{"name":"filter[name]","in":"query","required":false,"schema":{"type":"string"},"description":"Filter results by name."},{"name":"filter[allowed]","in":"query","required":false,"schema":{"type":"string"},"description":"Filter results by allowed."},{"name":"filter[private]","in":"query","required":false,"schema":{"type":"string"},"description":"Filter results by private."},{"name":"filter[visibility]","in":"query","required":false,"schema":{"type":"string"},"description":"Filter results by visibility."},{"name":"filter[private_or_allowed]","in":"query","required":false,"schema":{"type":"string"},"description":"Filter results by private_or_allowed."},{"name":"filter[labelled]","in":"query","required":false,"schema":{"type":"string"},"description":"Filter results by label `id`."},{"name":"include","in":"query","required":false,"schema":{"type":"string"},"description":"Comma-separated list of relationships to include. Available: flowTemplates, crossReferenceLookupTemplates, crossReferenceLookupTemplates.crossReferenceLookupValueTemplates, systemTemplates, systemTemplates.logo, scriptTemplates, cacheTemplates, dataPoolTemplates, company, marketplaceCompany, publicCompany, installs"},{"name":"sort","in":"query","required":false,"schema":{"type":"string"},"description":"Sort field. Prefix with - for descending. Available: name, id, created_at, installs_avg_install_duration"},{"name":"page","in":"query","required":false,"schema":{"type":"integer","minimum":1,"default":1},"description":"Page number for pagination."},{"name":"per_page","in":"query","required":false,"schema":{"type":"integer","minimum":1,"maximum":100},"description":"Number of results per page."}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MarketplaceAppsResponse"}}}},"401":{"description":"Unauthenticated"},"403":{"description":"Unauthorized"}},"tags":["Marketplace Apps"]}}}}
```

## Delete Marketplace App

> Permanently deletes a specific marketplace app version.\
> Note: A marketplace app is a version of a blueprint.

```json
{"openapi":"3.0.0","info":{"title":"Patchworks Core API","version":"1.0.0"},"tags":[{"name":"Marketplace Apps"}],"servers":[{"url":"https://core.wearepatchworks.com"}],"security":[{"ApiKeyAuth":[]},{"BearerAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"API key passed in the Authorization header. Format: `<api-key>`"},"BearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"OAuth 2 Bearer token obtained from POST /fabric/api/login"}},"schemas":{"MessageResponse":{"type":"object","properties":{"message":{"type":"string"}}}}},"paths":{"/api/v1/patchworks/marketplace-apps/{marketplace_app}":{"delete":{"summary":"Delete Marketplace App","description":"Permanently deletes a specific marketplace app version.\nNote: A marketplace app is a version of a blueprint.","parameters":[{"name":"marketplace_app","in":"path","required":true,"schema":{"type":"string"},"description":"The marketplace app identifier."}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MessageResponse"}}}},"401":{"description":"Unauthenticated"},"403":{"description":"Unauthorized"}},"tags":["Marketplace Apps"]}}}}
```

## Update Marketplace App

> Updates an existing marketplace app version.\
> Note: A marketplace app is a version of a blueprint.

```json
{"openapi":"3.0.0","info":{"title":"Patchworks Core API","version":"1.0.0"},"tags":[{"name":"Marketplace Apps"}],"servers":[{"url":"https://core.wearepatchworks.com"}],"security":[{"ApiKeyAuth":[]},{"BearerAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"API key passed in the Authorization header. Format: `<api-key>`"},"BearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"OAuth 2 Bearer token obtained from POST /fabric/api/login"}},"schemas":{"MarketplaceAppsResponse":{"type":"object","properties":{"data":{"$ref":"#/components/schemas/MarketplaceApps"}}},"MarketplaceApps":{"type":"object","properties":{"id":{"type":"integer","description":"Unique identifier"},"help_guide":{"type":"string"},"flow_version_ids":{"type":"string"},"cross_reference_lookup_ids":{"type":"string"},"system_ids":{"type":"string"},"script_version_ids":{"type":"string"},"cache_ids":{"type":"string"},"data_pool_ids":{"type":"string"},"private":{"type":"string"},"created_at":{"type":"string","format":"date-time"},"updated_at":{"type":"string","format":"date-time"},"blueprint_id":{"type":"integer"},"name":{"type":"string"},"version":{"type":"integer"},"version_name":{"type":"string"},"installed_count":{"type":"integer"},"company_id":{"type":"integer"},"flow_count":{"type":"integer"},"system_count":{"type":"integer"},"script_count":{"type":"integer"},"data_pool_count":{"type":"array","items":{"type":"object"}},"cache_count":{"type":"array","items":{"type":"object"}},"cross_ref_count":{"type":"array","items":{"type":"object"}},"flow_templates":{"type":"array","items":{"type":"object"}},"cross_reference_lookup_templates":{"type":"array","items":{"type":"object"}},"system_templates":{"type":"array","items":{"type":"object"}},"script_templates":{"type":"array","items":{"type":"object"}},"cache_templates":{"type":"array","items":{"type":"object"}},"data_pool_templates":{"type":"array","items":{"type":"object"}},"company":{"type":"object"},"marketplace_company_id":{"type":"object"},"marketplace_company":{"type":"object"},"public_company_id":{"type":"object"},"public_company":{"type":"object"},"installs_avg_install_duration":{"type":"string"},"is_published":{"type":"boolean"}}},"ErrorResponse":{"type":"object","properties":{"message":{"type":"string"},"errors":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string"}}}}},"MarketplaceAppsUpdateRequest":{"type":"object","properties":{"flow_version_ids":{"type":"string","items":{"type":"integer"}},"cross_reference_lookup_ids":{"type":"string","items":{"type":"integer"}},"system_ids":{"type":"string","items":{"type":"integer"}},"script_version_ids":{"type":"string","items":{"type":"integer"}},"cache_ids":{"type":"string","items":{"type":"integer"}},"data_pool_ids":{"type":"string","items":{"type":"integer"}},"name":{"type":"string","maxLength":100}}}}},"paths":{"/api/v1/marketplace-apps/{marketplace_app}":{"put":{"summary":"Update Marketplace App","description":"Updates an existing marketplace app version.\nNote: A marketplace app is a version of a blueprint.","parameters":[{"name":"marketplace_app","in":"path","required":true,"schema":{"type":"string"},"description":"The marketplace app identifier."}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MarketplaceAppsResponse"}}}},"401":{"description":"Unauthenticated"},"403":{"description":"Unauthorized"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}},"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MarketplaceAppsUpdateRequest"}}}},"tags":["Marketplace Apps"]}}}}
```

## Install Marketplace App

> Installs a specific marketplace app version.\
> Note: A marketplace app is a version of a blueprint.

```json
{"openapi":"3.0.0","info":{"title":"Patchworks Core API","version":"1.0.0"},"tags":[{"name":"Marketplace Apps"}],"servers":[{"url":"https://core.wearepatchworks.com"}],"security":[{"ApiKeyAuth":[]},{"BearerAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"API key passed in the Authorization header. Format: `<api-key>`"},"BearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"OAuth 2 Bearer token obtained from POST /fabric/api/login"}},"schemas":{"ErrorResponse":{"type":"object","properties":{"message":{"type":"string"},"errors":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string"}}}}},"MarketplaceAppsInstallInstallRequest":{"type":"object","properties":{"flow_template_ids":{"type":"string"}}}}},"paths":{"/api/v1/marketplace-apps/{marketplaceApp}/install":{"post":{"summary":"Install Marketplace App","description":"Installs a specific marketplace app version.\nNote: A marketplace app is a version of a blueprint.","parameters":[{"name":"marketplaceApp","in":"path","required":true,"schema":{"type":"string"},"description":"The marketplaceApp identifier."}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object"}}}},"401":{"description":"Unauthenticated"},"403":{"description":"Unauthorized"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}},"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MarketplaceAppsInstallInstallRequest"}}}},"tags":["Marketplace Apps"]}}}}
```

## Get Convertible

> To be confirmed.\
> Note: A marketplace app is a version of a blueprint.

```json
{"openapi":"3.0.0","info":{"title":"Patchworks Core API","version":"1.0.0"},"tags":[{"name":"Marketplace Apps"}],"servers":[{"url":"https://core.wearepatchworks.com"}],"security":[{"ApiKeyAuth":[]},{"BearerAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"API key passed in the Authorization header. Format: `<api-key>`"},"BearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"OAuth 2 Bearer token obtained from POST /fabric/api/login"}}},"paths":{"/api/v1/patchworks/marketplace-apps/convertible":{"get":{"summary":"Get Convertible","description":"To be confirmed.\nNote: A marketplace app is a version of a blueprint.","tags":["Marketplace Apps"],"responses":{"200":{"description":"Successful response"},"401":{"description":"Unauthenticated"},"403":{"description":"Unauthorized"}},"parameters":[]}}}}
```

## Convert Marketplace App

> To be confirmed.\
> Note: A marketplace app is a version of a blueprint.

```json
{"openapi":"3.0.0","info":{"title":"Patchworks Core API","version":"1.0.0"},"tags":[{"name":"Marketplace Apps"}],"servers":[{"url":"https://core.wearepatchworks.com"}],"security":[{"ApiKeyAuth":[]},{"BearerAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"API key passed in the Authorization header. Format: `<api-key>`"},"BearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"OAuth 2 Bearer token obtained from POST /fabric/api/login"}},"schemas":{"ErrorResponse":{"type":"object","properties":{"message":{"type":"string"},"errors":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string"}}}}}}},"paths":{"/api/v1/patchworks/marketplace-apps/{marketplaceApp}/convert":{"post":{"summary":"Convert Marketplace App","description":"To be confirmed.\nNote: A marketplace app is a version of a blueprint.","tags":["Marketplace Apps"],"parameters":[{"name":"marketplaceApp","in":"path","required":true,"schema":{"type":"string"},"description":"The marketplaceApp identifier."}],"responses":{"200":{"description":"Successful response"},"401":{"description":"Unauthenticated"},"403":{"description":"Unauthorized"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://doc.wearepatchworks.com/product-documentation/api-reference/marketplace/marketplace-apps.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
